# Mach3

## О проекте

Данный проект представляет собой постпроцессор для ПО SolidCAM и предназначен для генерации УП (Gcode) для 3-х осевых фрезерных ЧПУ станков с ПО Mach3 и NC Studio (в дальнейшем возможно и для Purelogic / Pumotix).


## Текущие возможности

- Отображение списка инструментов в начале УП (сверла и фрезы).
- Начало и завершение УП в координатах заданной или машинной точки ноль.
- Запуск, выбор направление и частоты вращения шпинделя, а так-же подачи СОЖ.
- Поход инструмента к началу обработки в вертикальной плоскости.
- Генерация прямых, дугообразных и спиралевидных проходов в 3-х плоскостной обработке/фрезеровке.
- Четыре варианта режимов сверления.


## Установка

Скопировать файлы с расширениями **.gpp** и **.vmid** в папку по адресу:

```C:\Users\Public\Documents\SolidCAM\SolidCAM2021\Gpptool\```

> **ВНИМАНИЕ:** В зависимости от года выпуска и версии дистрибутива, а так-же от настройки SolidCAM, путь до папки с постпроцессорами может отличаться!


## Использование

#### Для новой обработки

При создании нового файла проекта **.prz**, в выпадающем меню **CNC Machine** (ЧПУ Станок), выбрать строку **Shryft_Mach3_3x**.

#### Для всех обработок

Для использования постпроцессора по умолчанию, откройте меню:

> **Tools** *(Инструменты)* > **SolidCAM** > **SolidCAM Settings** *(Настройки SolidCAM)* > **Default CNC-Controller** *(ЧПУ-контроллер по умолчанию)*

В выподающем меню **Milling CNC-Controller** *(Фрезеровальный ЧПУ-контроллер)* выберете строку **Shryft_Mach3_3x**.


## От автора

По любым вопросам можете обращаться на почту shryft@yandex.ru
